require "spec_helper"

RSpec.describe NfseCarioca::Sanitizer do
  describe "#clear" do
    {
      "Gestimbra-Contabilidade e Gestão, Lda. PT501615725 Rua Padre Estevão Cabral,79 / Sala 313, 3000-317 Co" =>
        "Gestimbra Contabilidade e Gestao Lda PT501615725 Rua Padre Estevao Cabral79  Sala 313 3000 317 Co"
    }.each do |dirty, clean|
      context "when #{dirty}" do
        subject { described_class.new(dirty).clear }
        it { is_expected.to eq clean }
      end
    end
  end
end
