# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "nfse_carioca/version"

Gem::Specification.new do |s|
  s.name          = "nfse-carioca"
  s.version       = NfseCarioca::VERSION
  s.authors       = ["LUZ Planilhas"]
  s.email         = ["bruno@luz.vc"]
  s.summary       = %q{Nota Fiscal de Serviço Eletronica}
  s.description   = %q{NFSeCarioca é um cliente ruby com foco na geração da Nota Carioca}
  s.license       = "MIT"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_dependency "savon",         "~> 2.9"
  s.add_dependency "activemodel",   "~> 4.0"

  s.add_development_dependency "bundler",  "~> 1.7"
  s.add_development_dependency "rake",     "~> 10.0"
  s.add_development_dependency "rspec"
  s.add_development_dependency "pry"
  s.add_development_dependency "vcr"
  s.add_development_dependency "webmock"
  s.add_development_dependency "dotenv"
end
